FruxonDocs
Agent NetworkGraph

Returns one escalation desk.

A desk that is not the Application's yields `404 Not Found`.

GET
/v1/tenants/{tenant}/networks/{network}/escalationDesks/{escalationDesk}
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

network*string

The owning Application id.

Formatuuid
escalationDesk*string

The desk id.

Formatuuid
tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/networks/497f6eca-6276-4993-bfeb-53cbbbba6f08/escalationDesks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "00000000-0000-0000-0000-000000000000",
  "networkId": "00000000-0000-0000-0000-000000000000",
  "name": "string",
  "mode": "BRIDGE",
  "tiers": [
    {
      "operatorParticipantIds": [
        "00000000-0000-0000-0000-000000000000"
      ],
      "strategy": "FIRST_AVAILABLE"
    }
  ],
  "defaultReason": "string",
  "consoleMuteTrigger": "ON_QUEUED",
  "afterHoursConsoleMuteTrigger": "ON_QUEUED",
  "checkBackEnabled": false,
  "stalledTakeoverUnmuteEnabled": false,
  "workingHoursScheduleId": "00000000-0000-0000-0000-000000000000",
  "attachedEntryPointIds": [
    "00000000-0000-0000-0000-000000000000"
  ],
  "isOtherConversations": false,
  "isArmed": false,
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}